LetsBot Menu
Zacznij teraz Polski Język

Meta Business Partner Spółka zarejestrowana w Wielkiej Brytanii

Język

Messages · endpoint API

GET /api/v1/message/id

Get message by Id

Get message content info with message id in phone chat number.

Get message content info with message id in phone chat number. In the data of the response , The body of the data response is the message content**. The chatName** is the phone number that receive this message. messageType is the type of the message that sent. remoteJid is the phone whatsapp account. Time is the time of the message in timestamp format. TimeFormatted is the time of the message in Format _ Dayname, Daynumber MonthName Year Hours:Min:Sec ZoneType_. There are different types of response depend on the message type. You can see Examples of the response in different types below the request.

Parametry zapytania

ParametrWymaganePrzykładOpis
phone Tak {{phone}} phone number with country code
messageID Tak BAE5690364E55771 Message Id

Przykładowe żądanie

curl -G "https://letsbot.net/api/v1/message/id" \
  -H "Authorization: Bearer YOUR_LB_API_KEY" \
  -H "Accept: application/json" \
  --data-urlencode "phone=9665xxxxxxxx" \
  --data-urlencode "messageID=BAE5690364E55771"
const response = await fetch("https://letsbot.net/api/v1/message/id?phone=%7B%7Bphone%7D%7D&messageID=BAE5690364E55771", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_LB_API_KEY",
    "Accept": "application/json",
  },
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://letsbot.net/api/v1/message/id?phone=%7B%7Bphone%7D%7D&messageID=BAE5690364E55771');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer YOUR_LB_API_KEY',
        'Accept: application/json',
    ],
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "GET",
    "https://letsbot.net/api/v1/message/id",
    headers={
        "Authorization": "Bearer YOUR_LB_API_KEY",
        "Accept": "application/json",
    },
    params={
        "phone": "9665xxxxxxxx",
        "messageID": "BAE5690364E55771",
    },
)

print(response.json())

Odpowiedzi

Failed Response202
(pusta treść)
Success Response (Text)200
(pusta treść)
Image Message Response200
(pusta treść)
Video Message Response200
(pusta treść)
File Message Response200
(pusta treść)
GIF Message Response200
(pusta treść)
Audio Message Response200
(pusta treść)
Button Text Message Response200
(pusta treść)

Gotowi, kiedy Ty jesteś

Wypróbuj ten endpoint na własnym numerze

API działa w okresie bezpłatnego testu. Załóż konto, połącz swój numer WhatsApp i skopiuj klucz z API → Dane uwierzytelniania.